import { TypedPostProcessNode, TypedPostNodeContext } from './_Base';
import { OutlinePass } from '../../../modules/three/examples/jsm/postprocessing/OutlinePass';
import { NodeParamsConfig } from '../utils/params/ParamsConfig';
declare class OutlinePostParamsConfig extends NodeParamsConfig {
    objectsMask: import("../utils/params/ParamsConfig").ParamTemplate<import("../../poly/ParamType").ParamType.STRING>;
    refreshObjects: import("../utils/params/ParamsConfig").ParamTemplate<import("../../poly/ParamType").ParamType.BUTTON>;
    edgeStrength: import("../utils/params/ParamsConfig").ParamTemplate<import("../../poly/ParamType").ParamType.FLOAT>;
    edgeThickness: import("../utils/params/ParamsConfig").ParamTemplate<import("../../poly/ParamType").ParamType.FLOAT>;
    edgeGlow: import("../utils/params/ParamsConfig").ParamTemplate<import("../../poly/ParamType").ParamType.FLOAT>;
    pulsePeriod: import("../utils/params/ParamsConfig").ParamTemplate<import("../../poly/ParamType").ParamType.FLOAT>;
    visibleEdgeColor: import("../utils/params/ParamsConfig").ParamTemplate<import("../../poly/ParamType").ParamType.COLOR>;
    hiddenEdgeColor: import("../utils/params/ParamsConfig").ParamTemplate<import("../../poly/ParamType").ParamType.COLOR>;
}
export declare class OutlinePostNode extends TypedPostProcessNode<OutlinePass, OutlinePostParamsConfig> {
    params_config: OutlinePostParamsConfig;
    static type(): string;
    protected _create_pass(context: TypedPostNodeContext): OutlinePass;
    update_pass(pass: OutlinePass): void;
    private _set_selected_objects;
}
export {};
